Skip to content

Most visited

Recently visited

navigation
Added in API level 5

ContactsContract.PresenceColumns

protected static interface ContactsContract.PresenceColumns

android.provider.ContactsContract.PresenceColumns
Known Indirect Subclasses


Additional data mixed in with ContactsContract.StatusColumns to link back to specific _ID entries.

See also:

Summary

Constants

String CUSTOM_PROTOCOL

Name of the custom protocol.

String DATA_ID

Reference to the _ID entry that owns this presence.

String IM_ACCOUNT

The IM account for the local user that the presence data came from.

String IM_HANDLE

The IM handle the presence item is for.

String PROTOCOL

See ContactsContract.CommonDataKinds.Im for a list of defined protocol constants.

Constants

CUSTOM_PROTOCOL

Added in API level 5
String CUSTOM_PROTOCOL

Name of the custom protocol. Should be supplied along with the PROTOCOL value PROTOCOL_CUSTOM. Should be null or omitted if PROTOCOL value is not PROTOCOL_CUSTOM.

Type: NUMBER

Constant Value: "custom_protocol"

DATA_ID

Added in API level 5
String DATA_ID

Reference to the _ID entry that owns this presence.

Type: INTEGER

Constant Value: "presence_data_id"

IM_ACCOUNT

Added in API level 5
String IM_ACCOUNT

The IM account for the local user that the presence data came from.

Type: TEXT

Constant Value: "im_account"

IM_HANDLE

Added in API level 5
String IM_HANDLE

The IM handle the presence item is for. The handle is scoped to PROTOCOL.

Type: TEXT

Constant Value: "im_handle"

PROTOCOL

Added in API level 5
String PROTOCOL

See ContactsContract.CommonDataKinds.Im for a list of defined protocol constants.

Type: NUMBER

Constant Value: "protocol"

This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.